#
# spec file for package capisuite 
#
# Copyright (c) 2003 Gernot Hillier <gernot@hillier.de>
# Parts Copyright (c) SuSE Linux AG, Nuernberg, Germany.
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# This spec file was developed for the use with SuSE Linux.  But it
# should also work for any other distribution with slight changes.
# If you created your own RPM, please tell me and I'll happily include
# the spec or a link to your RPM on the homepage.
#

Summary:	ISDN telecommunication suite providing fax and voice services
Name:		capisuite
License:	GPL
Version: 0.4.5
Release: 3mdk
Group:		Communications
URL:		http://www.capisuite.de
Source0:	http://www.capisuite.de/%{name}-%{version}.tar.bz2
Source1:	capisuite-init.bz2
PreReq:		rpm-helper
BuildRequires:	autoconf2.5
BuildRequires:	isdn4k-utils-devel
BuildRequires:	libpython-devel
BuildRequires:	sfftobmp
Requires:	MailTransportAgent
Requires:	ghostscript
Requires:	libtiff-progs
Requires:	sfftobmp
Requires:	sox
BuildRoot:    	%{_tmppath}/%{name}-%{version}

%description
CapiSuite is an ISDN telecommunication suite providing easy to use
telecommunication functions which can be controlled from Python scripts.

It uses a CAPI-compatible driver for accessing the ISDN-hardware, so you'll
need an AVM card with the according driver.

CapiSuite is distributed with two example scripts for call incoming handling
and fax sending. See /usr/share/doc/capisuite for further information.

%prep

%setup -q

bzcat %{SOURCE1} > capisuite-init

%build

%configure2_5x --localstatedir=%{_var}

%make 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/cron.daily

install -m 644 cronjob.conf %{buildroot}/%{_sysconfdir}/%{name}/cronjob.conf
install -m 755 capisuite-init %{buildroot}/%{_initrddir}/capisuite
install -m 755 capisuite.cron %{buildroot}/%{_sysconfdir}/cron.daily/capisuite
mv %{buildroot}%{_docdir}/%{name} installed-docs

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service capisuite

%preun
%_preun_service capisuite

%files
%defattr(-,root,root)
%doc installed-docs/* AUTHORS ChangeLog TODO
%config(noreplace) %{_initrddir}/capisuite
%config(noreplace) %{_sysconfdir}/capisuite/cronjob.conf
%config(noreplace) %{_sysconfdir}/capisuite/capisuite.conf
%config(noreplace) %{_sysconfdir}/capisuite/fax.conf
%config(noreplace) %{_sysconfdir}/capisuite/answering_machine.conf
%config(noreplace) %{_sysconfdir}/cron.daily/capisuite
%{_sbindir}/capisuite
%{_bindir}/capisuitefax
%{_libdir}/capisuite
%{_datadir}/capisuite
%{_var}/spool/capisuite
%{_libdir}/python2.?/site-packages/cs_helpers.py
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
	       
%changelog
* Thu Aug 11 2005 Olivier Blin <oblin@mandriva.com> 0.4.5-3mdk
- really use %%{_var} for localstatedir

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.4.5-2mdk
- Rebuild for new python

* Wed Dec 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5
- drop P0,P1,P2, these are implemented upstream
- fix deps and spec file

* Mon Sep 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.4-9mdk
- add prereq on rpm-helper
- fix description

* Mon Sep 13 2004 Olivier Blin <blino@mandrake.org> 0.4.4-8mdk
- use %%{_var} for localstatedir (from Steffen Barszus)

* Thu Aug  5 2004 Olivier Blin <blino@mandrake.org> 0.4.4-7mdk
- from Steffen Barszus:
    Patch2: prevents wrong cropping in the pdf creation

* Mon Aug  2 2004 Olivier Blin <blino@mandrake.org> 0.4.4-6mdk
- initial Mandrake release from Steffen Barszus
- fix BuildRequires/Requires
- use %%configure, %%make and %%makeinstall macros
- use more macros, misc fixes
- requires libtiff-progs instead of libtiff3 
- quiet setup
- remove buildroot at beginning of install

* Thu Jul 02 2004 Steffen Barszus <st_barszus@gmx.de> 0.4.4-5mdk
- patched capisuite to use SMTPlib as suggested by Gernot (the author) 
  and Hartmut Goebel (one of the developers)
- fixed require to use MTA instead of a special MTA == postfix

* Thu Jul 01 2004 Steffen Barszus <st_barszus@gmx.de> 0.4.4-4mdk
- Fixed requires for MailAndSave

* Thu Jul 01 2004 Steffen Barszus <st_barszus@gmx.de> 0.4.4-3mdk
- Fixed Build on Mandrake 10 / Kernel 2.6

* Sun Nov 09 2003 Steffen Barszus <st_barszus@gmx.de> 0.4.4-2mdk
- initial spec for mdk, taken mostly the SuSE spec of gernot 

* Sun Jul 20 2003 - gernot@hillier.de
- updated to 0.4.3

* Sun Apr 27 2003 - gernot@hillier.de
- updated to 0.4.2

* Sat Apr 05 2003 - gernot@hillier.de
- updated to 0.4.1a (SECURITY FIX for cronjob, ...)

* Thu Mar 20 2003 - ghillie@suse.de
- updated to 0.4.1, thrown away all patches which are already
  included in this release

* Thu Mar 13 2003 - ghillie@suse.de
- SECURITY FIX: permissions of saved documents and waves are 0600
  now instead of 0644 and dirs have 0700 instead of 0755. This
  fixes critical bug #25242. Bug severity was approved by kkeil.

* Mon Mar 10 2003 - ghillie@suse.de
- added current documentation as .tar.bz2 to avoid change of
  Makefile so late (old Makefiles won't install new docs correctly)

* Mon Mar 03 2003 - ghillie@suse.de
- added capisuite-faxid.diff: fixes sending of fax station ID, fax
  headline works now

* Sun Feb 23 2003 - ghillie@suse.de
- added capisuite-cron.diff: cron-script errors to /dev/null

* Fri Feb 21 2003 - ghillie@suse.de
- capisuite-removesetuid.diff: fixes Bugzilla 23732 (freeze because
  of usage of setuid() which isn't allowed in threads)
- capisuite-cosmetical.diff: cosmetical fixes (examples in conf files
  were wrong, removed debug output)
- added tiff & ghostscript-library to Requires: fixes Bug 23962

* Tue Feb 18 2003 - ghillie@suse.de
- fixed Bugzilla 23731 (lock files weren't deleted in idle.py)

* Mon Feb 17 2003 - ghillie@suse.de
- updated to 0.4 (new/old messages in remote inquiry, capisuitefax
  can show sendqueue and abort jobs)

* Tue Feb 11 2003 - ghillie@suse.de
- included cron job for cleaning up
- rc.capisuite was moved into tar ball

* Mon Feb 10 2003 - ghillie@suse.de
- updated to 0.3.2 (got rid of CommonC++, using native pthreads now,
  fixed some major bugs)

* Mon Feb 03 2003 - ghillie@suse.de
- updated to 0.3.1: (bugfixes, use different sendqueue for each user,
  script improvements, e.g. sayNumber supports 0-99 well now)

* Wed Jan 29 2003 - ghillie@suse.de
- added sox to Require:

* Wed Jan 29 2003 - ghillie@suse.de
- don't start if no user configured for default scripts
- added insserv to %%post (spec file)

* Mon Jan 27 2003 - ghillie@suse.de
- included startup script

* Mon Jan 27 2003 - ghillie@suse.de
- updated to 0.3 (split configuration files into fax and
  answering machine config)

* Thu Jan 23 2003 - ghillie@suse.de
- updated to 0.2.1 (mainly documentation improvements, has an own
  manual now)

* Mon Jan 20 2003 - ghillie@suse.de
- updated to 0.2 (see included NEWS for changes)
- added correct docdir to configure call in specfile

* Mon Dec 16 2002 - gernot@hillier.de
- first package

* Mon Dec 16 2002 - gernot@hillier.de
- fixed 2 small bugs (physical disconnect was missing in some cases,
  file delete in remote inquiry didn't work)
